Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class DeviceNColorSpace

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.ColorSpace<TDataObject>
              org.pdfclown.documents.contents.colorSpaces.SpecialColorSpace<PdfArray>
                  org.pdfclown.documents.contents.colorSpaces.SpecialDeviceColorSpace
                      org.pdfclown.documents.contents.colorSpaces.DeviceNColorSpace

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class DeviceNColorSpace

extends SpecialDeviceColorSpace

Special color space that can contain an arbitrary number of color components [PDF:1.6:4.5.5].

Since:
  0.1.0
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary

Fields inherited from class org.pdfclown.documents.contents.colorSpaces.SpecialDeviceColorSpace
`NoneComponentName`

Method Summary
`Object` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`DeviceNColor` | `getColor(List<PdfDirectObject> components, IContentContext context)` Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].
`int` | `getComponentCount()` Gets the number of components used to represent a color value.
`List<String>` | `getComponentNames()` Gets the names of the color components.
`DeviceNColor` | `getDefaultColor()` Gets the initial color value within this color space.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.SpecialDeviceColorSpace
`getAlternateSpace, getPaint, getTintFunction`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.ColorSpace
`wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public Object clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getColor

    public DeviceNColor getColor(List<PdfDirectObject> components,
                                 IContentContext context)

  Description copied from class: `ColorSpace`
  Gets the color value corresponding to the specified components interpreted according to this color space [PDF:1.6:4.5.1].

  Specified by:
    `getColor` in class `ColorSpace<PdfArray>`
  Parameters:
    `components` - Color components.
    `context` - Content context.

### getDefaultColor

    public DeviceNColor getDefaultColor()

  Description copied from class: `ColorSpace`
  Gets the initial color value within this color space.

  Specified by:
    `getDefaultColor` in class `ColorSpace<PdfArray>`

### getComponentCount

    public int getComponentCount()

  Description copied from class: `ColorSpace`
  Gets the number of components used to represent a color value.

  Specified by:
    `getComponentCount` in class `ColorSpace<PdfArray>`

### getComponentNames

    public List<String> getComponentNames()

  Description copied from class: `SpecialDeviceColorSpace`
  Gets the names of the color components.

  Specified by:
    `getComponentNames` in class `SpecialDeviceColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.